Skip to main content
GET
/
v1
/
10dlc
/
phone-numbers
/
area-codes
Search Area Codes
curl --request GET \
  --url https://api.example.com/v1/10dlc/phone-numbers/area-codes \
  --header 'X-API-Key: <x-api-key>'

Documentation Index

Fetch the complete documentation index at: https://docs.teli.ai/llms.txt

Use this file to discover all available pages before exploring further.

Search for available area codes to find phone numbers in specific regions. Use this to help users pick an area code before searching for specific numbers.

Authentication

X-API-Key
string
required
Your API key

Query Parameters

state
string
Filter by state (2-letter code, e.g., MI, CA)
city
string
Filter by city name (e.g., Detroit)
areaCode
string
Search for a specific area code
page
string
default:"1"
Page number for pagination
limit
string
default:"50"
Number of results per page

Example Request

curl -X GET "https://api.teli.ai/v1/10dlc/phone-numbers/area-codes?state=MI" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

200
{
  "success": true,
  "area_codes": [
    {
      "areaCode": "248",
      "city": "Troy",
      "state": "MI",
      "country": "US"
    },
    {
      "areaCode": "313",
      "city": "Detroit",
      "state": "MI",
      "country": "US"
    },
    {
      "areaCode": "517",
      "city": "Lansing",
      "state": "MI",
      "country": "US"
    }
  ],
  "count": 3,
  "powered_by": "Teli"
}